<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Login Form</title>
</head>
<body>
  <h2>Login</h2>
  <form id="loginForm">
    <label for="username">Username:</label>
    <input type="text" id="username" name="username" required><br><br>
    <label for="password">Password:</label>
    <input type="password" id="password" name="password" required><br><br>
    <input type="checkbox" id="terms" name="terms" required>
    <label for="terms">I agree to the terms</label><br><br>
    <button type="submit">Submit</button>
  </form>

  <script>
    document.getElementById("loginForm").addEventListener("submit", function(event) {
      event.preventDefault(); // Prevent default form submission
      
      // Retrieve input values
      var username = document.getElementById("username").value;
      var password = document.getElementById("password").value;
      var agreed = document.getElementById("terms").checked;

      // Check if username and password match
      if (username === "admin" && password === "password" && agreed) {
        var authToken = generateAuthToken(); 
        // Store token securely (e.g., in session storage)
        sessionStorage.setItem("test_authToken", authToken);
        alert("Login successful!");
        // Redirect to welcome page
        window.location.href = "welcome.html";
      } else {
        alert("Incorrect username/password or terms not agreed.");
      }
    });

  // Function to generate authentication token
  function generateAuthToken() {
    // Generate a random token or use a token generated by a backend service
    return "HVxzpS8GzMlPAc2e39uyIVzwACIuGe0H";
  }
  </script>
</body>
</html>
